/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package instrumentfinanciar;

/**
 *
 * @author claudiu
 */
public class Actiune extends Instr
{
    private float dividend;

    public float getDividend() {
        return this.dividend;
    }
    
    public void setDividend(float d) {
        this.dividend = d;
    }

    @Override
    public double valoare() {
        return ( (getPret()+ getDividend()) * getCant());
    }

    public Actiune()
    {
        super();
        this.dividend = 0F;
    }

    public Actiune(String simbol, String denumire, float pret, long cant, float div) {
        super(simbol, denumire, pret, cant);
        this.dividend = div; 
    }

    public String ToString()
    {
        return super.toString() + "," +
            Float.toString(this.dividend);
    }

   @Override
    public Actiune clone() throws CloneNotSupportedException
    { 
        // apeleaza Object.clone()
        Actiune clona = (Actiune)super.clone();
        
        return clona;
    }
   
    public boolean equals(Actiune a)
    {
        /*
        if ( (this.getSimbol().compareTo(a.getSimbol()) == 0) &&
            (this.getDenumire().compareTo(a.getDenumire()) == 0) &&
            (this.getPret() == a.getPret()) &&
            (this.getCant() == a.getCant()) &&
            (this.getDividend() == a.getDividend()))
            return true;
         */
        if (super.equals((Instr)a) &&
            (this.getDividend() == a.getDividend()))
            return true;
        else
            return false;
    }
}
