/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package instrumentfinanciar;

import java.util.ArrayList;
import java.util.ArrayDeque;
import java.util.Iterator;
import java.io.Writer;
import java.io.FileWriter;
import java.io.BufferedWriter;
import java.io.OutputStreamWriter;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.BufferedReader;
import java.io.FileReader;
import java.util.Scanner;


/**
 *
 * @author claudiu
 */
public class InstrumentFinanciar {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {
        Instr instr1 = new Instr("BRD", "Banca Romana pentru Dezvoltare", 9.8F, 100L);
        Instr instr2 = new Instr("ALR", "Alro Slatina", 1.8F, 500L);

        System.out.println(instr1.toString());

        System.out.println("Simbol = " + instr1.getSimbol());
        System.out.println("Denumire = " + instr1.getDenumire());
        System.out.println("Pret piata = " + Float.toString(instr1.getPret()));
        System.out.println("Cantitate = " + Long.toString(instr1.getCant()));
        System.out.println("Valoare = " + Double.toString(instr1.valoare()));

        Actiune act1 = new Actiune("TGN", "Transgaz Medias", 189.8F, 50L, 23.7F);

        System.out.println(act1.toString());

        System.out.println("Simbol = " + act1.getSimbol());
        System.out.println("Denumire = " + act1.getDenumire());
        System.out.println("Pret piata = " + Float.toString(act1.getPret()));
        System.out.println("Cantitate = " + Long.toString(act1.getCant()));
        System.out.println("Dividend = " + Float.toString(act1.getDividend()));
        System.out.println("Valoare = " + Double.toString(act1.valoare()));

        Instr instr3 = act1;

        if (instr3.equals(act1))
            System.out.println("Cele doua obiecte sunt identice");
        else
            System.out.println("Obiectele sunt diferite!");

        Instr instr4 = instr2;

        System.out.println(instr4.toString());

        Instr[] instrArray;

        instrArray = new Instr[2];

        instrArray[0] = instr1;

        ArrayList<Instr> list = new ArrayList<Instr>();
        list.add(instr1);
        list.add(instr2);
        list.add(instr3);
        list.add(instr4);
        list.add(act1);
              
        Instr iter = null;
              
        try {
            Iterator<Instr> it = list.iterator();
            while (it.hasNext()) {
                iter = it.next();
                System.out.println(iter.toString());
            }
        } catch (Exception e) {
        }

        
        ArrayDeque<Instr> deque = new ArrayDeque<Instr>();
        deque.offerLast(instr1);
        deque.offerLast(instr2);
        deque.offerLast(instr3);
        deque.offerLast(instr4);
    
        FileWriter outFile = null;
        try{
            outFile = new FileWriter("InstrumenteFinanciare.txt");
            BufferedWriter outLine = new BufferedWriter(outFile);

            while (!deque.isEmpty()) {
                iter = deque.pollFirst();
                System.out.println(iter.toString());
                outLine.write(iter.toString());
                outLine.newLine();
            }
        } catch (IOException ex) {
            ex.printStackTrace();
        } finally {
            outFile.close();
        }
        
        /*
        String aLine;
        // utilizare Scanner pentru a parsa continutul fiecarei linii
        Scanner scanner = new Scanner(aLine);
        scanner.useDelimiter(",");
        if (scanner.hasNext()){
          // linia are o anumita structura
          String simbol = scanner.next();
          String denumire = scanner.next();
          // creaza instrument finaciar si adauga-l intro coada
          // ...
        }
        else {
          System.out.println("Linie goala sau goala");
        }
        // FileReader inFile = null;
        // inFile = new FileReader("InstrumenteFinaciare.csv");
        // BufferedReader inLine = new BufferedReader(inFile);
        */
        
    }   
}
