/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package instrumentfinanciar;

/**
 *
 * @author claudiu
 */
public class Instr implements Cloneable
{
    private String simbol;
    private String denumire;
    private float pret;
    private long cant;

    public double valoare() {
        return (this.pret * this.cant);
    }

    public Instr()
    {
        simbol = null;
        denumire = null;
        pret = 0F;
        cant = 0;
    }

    public Instr(String s, String d, float p, long q)
    {
        this.simbol = s;
        this.denumire = d;
        this.pret= p;
        this.cant = q;
    }

    public String getSimbol()
    {
        return this.simbol;
    }

    public void setSimbol(String s)
    {
        this.simbol = s;
    }

    public String getDenumire()
    {
        return this.denumire;
    }

    public void setDenumire(String d)
    {
        this.denumire = d;
    }

    public float getPret()
    {
        return this.pret;
    }

    public void setPret(float p)
    {
        this.pret = p;
    }

    public long getCant()
    {
        return this.cant;
    }

    public void setCant(long q)
    {
        this.cant = q;
    }
   
    @Override
    public String toString()
    {
        return getSimbol() + "," +
            getDenumire() + "," +
            Float.toString(pret) + "," +
            Long.toString(cant);
    }

    @Override
    public Instr clone() throws CloneNotSupportedException
    { 
        // apeleaza Object.clone()
        Instr clona = (Instr)super.clone();
        
        return clona;
    }
    
    public boolean equals(Instr i)
    {
        if ( (this.getSimbol().compareTo(i.getSimbol()) == 0) &&
            (this.getDenumire().compareTo(i.getDenumire()) == 0) &&
            (this.getPret() == i.getPret()) &&
            (this.getCant() == i.getCant()))
            return true;
        else
            return false;
    }
}